Package org.eclipse.cdt.core.dom.ast.cpp

# Interface ICPPBasicType

All Superinterfaces:
  `Cloneable`, `IBasicType`, `IType`

All Known Subinterfaces:
  `IGPPBasicType`

public interface ICPPBasicType extends IBasicType

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IBasicType.Kind`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LAST`
Deprecated.
Don't use the constant, more flags may be added for supporting future c++ standards.
`static final int`
`t_bool`
Deprecated.
Use the type-safe version getKind(), instead.
`static final int`
`t_wchar_t`
Deprecated.
Use the type-safe version getKind(), instead.

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`IS_COMPLEX, IS_IMAGINARY, IS_LONG, IS_LONG_LONG, IS_SHORT, IS_SIGNED, IS_UNSIGNED, t_char, t_double, t_float, t_int, t_unspecified, t_void`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

## Method Summary

Modifier and Type
Method
Description
`ICPPFunction`
`getPseudoDestructor()`
Get the built-in type's pseudo-destructor.
`int`
`getQualifierBits()`
Deprecated.
use `IBasicType.getModifiers()`, instead.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBasicType

`getKind, getModifiers, getType, getValue, isComplex, isImaginary, isLong, isLongLong, isShort, isSigned, isUnsigned`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

## Field Details

### LAST

@Deprecated static final int LAST
Deprecated.
Don't use the constant, more flags may be added for supporting future c++ standards.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_bool

@Deprecated static final int t_bool
Deprecated.
Use the type-safe version getKind(), instead.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

### t_wchar_t

@Deprecated static final int t_wchar_t
Deprecated.
Use the type-safe version getKind(), instead.

See Also:
  - Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

## Method Details

### getQualifierBits

@Deprecated int getQualifierBits()
Deprecated.
use `IBasicType.getModifiers()`, instead.

Since:
  4.0
Restriction:
  This method is not intended to be referenced by clients.

### getPseudoDestructor

ICPPFunction getPseudoDestructor()
Get the built-in type's pseudo-destructor. The pseudo-destructor is the function named by e.g. an id-expression of the form "T().~T" when instantiated with T mapped to a built-in type.

Since:
  6.5